import validateXG from './validateXG'

var isMobile = (rule, value, callback) => {
  if (value && !validateXG.isMobile(value)) {
    callback(new Error('请输入正确的电话号码'))
  } else {
    callback()
  }
}

var isPhone = (rule, value, callback) => {
  if (value && !validateXG.isPhone(value)) {
    callback(new Error('请输入正确的电话号码'))
  } else {
    callback()
  }
}

var isBankNumber = (rule, value, callback) => {
  if (value && !validateXG.isBankNumber(value)) {
    callback(new Error('请输入正确的开户行账号'))
  } else {
    callback()
  }
}

var isLinkMobile = (rule, value, callback) => {
  if (value && !validateXG.isLinkMobile(value)) {
    callback(new Error('请输入正确的联系人联系方式'))
  } else {
    callback()
  }
}

export default {isMobile, isPhone, isBankNumber, isLinkMobile}
